Retrieve all participant points of contact
Roles
Analytics Events
/v1/ecosystems/{ecosystemId}/participants/{participantId}/contactsRetrieve all points of contact for given participant.
Analytic events
- ECOSYSTEM_PARTICIPANT_CONTACT_RETRIEVE_LIST_START
- ECOSYSTEM_PARTICIPANT_CONTACT_RETRIEVE_LIST_SUCCESS
- ECOSYSTEM_PARTICIPANT_CONTACT_RETRIEVE_LIST_FAIL
Authorization
bearerAuth In: header
Path Parameters
The UUID of the participant
uuidThe UUID of the ecosystem
uuidQuery Parameters
Range size of returned list.
1001 <= value <= 1000Starting point for the list of entries.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/participants/a24e391a-c27f-4b6e-9805-1ee7e03f3c58/contacts"{
"data": [
{
"id": "920f2489-d953-42f2-b2dd-f37c29b818cf",
"fullName": "John Doe",
"active": true,
"emailAddress": "john.doe@example.com",
"primaryPhoneNumber": 1234567890,
"secondaryPhoneNumber": 987654321,
"createdBy": {
"clientId": "f7b9ecfc-8431-470e-a1de-94b68dd92f68",
"managementUserId": "ab16dc65-b58e-4be2-ba77-a6f35021cb2b"
},
"createdAt": "2025-07-01T00:00:00.000Z",
"lastModifiedBy": {
"clientId": "f7b9ecfc-8431-470e-a1de-94b68dd92f68",
"managementUserId": "ab16dc65-b58e-4be2-ba77-a6f35021cb2b"
},
"lastModifiedAt": "2025-07-01T00:00:00.000Z"
}
],
"nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM"
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Create a participant point of contact POST
Create a new point of contact for the specified participant. A maximum of 10 contacts can exist per participant. ### **Analytic events** * ECOSYSTEM_PARTICIPANT_CONTACT_CREATE_START * ECOSYSTEM_PARTICIPANT_CONTACT_CREATE_SUCCESS * ECOSYSTEM_PARTICIPANT_CONTACT_CREATE_FAIL
Retrieve a participant point of contact GET
Retrieve a specific point of contact for a given participant. ### **Analytic events** * ECOSYSTEM_PARTICIPANT_CONTACT_RETRIEVE_START * ECOSYSTEM_PARTICIPANT_CONTACT_RETRIEVE_SUCCESS * ECOSYSTEM_PARTICIPANT_CONTACT_RETRIEVE_FAIL